Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlMessages

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessages
                  javax.faces.component.html.HtmlMessages

All Implemented Interfaces:
  java.util.EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class HtmlMessages

extends UIMessages

By default, the `rendererType` property must be set to "`javax.faces.Messages`". This value can be changed by calling the `setRendererType()` method.

Nested Class Summary
`protected static class` | `HtmlMessages.PropertyKeys`

Field Summary
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIMessages
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlMessages()`

Method Summary
`java.lang.String` | `getDir()` Return the value of the `dir` property.
`java.lang.String` | `getErrorClass()` Return the value of the `errorClass` property.
`java.lang.String` | `getErrorStyle()` Return the value of the `errorStyle` property.
`java.lang.String` | `getFatalClass()` Return the value of the `fatalClass` property.
`java.lang.String` | `getFatalStyle()` Return the value of the `fatalStyle` property.
`java.lang.String` | `getInfoClass()` Return the value of the `infoClass` property.
`java.lang.String` | `getInfoStyle()` Return the value of the `infoStyle` property.
`java.lang.String` | `getLang()` Return the value of the `lang` property.
`java.lang.String` | `getLayout()` Return the value of the `layout` property.
`java.lang.String` | `getStyle()` Return the value of the `style` property.
`java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
`java.lang.String` | `getTitle()` Return the value of the `title` property.
`java.lang.String` | `getWarnClass()` Return the value of the `warnClass` property.
`java.lang.String` | `getWarnStyle()` Return the value of the `warnStyle` property.
`boolean` | `isTooltip()` Return the value of the `tooltip` property.
`void` | `setDir(java.lang.String dir)` Set the value of the `dir` property.
`void` | `setErrorClass(java.lang.String errorClass)` Set the value of the `errorClass` property.
`void` | `setErrorStyle(java.lang.String errorStyle)` Set the value of the `errorStyle` property.
`void` | `setFatalClass(java.lang.String fatalClass)` Set the value of the `fatalClass` property.
`void` | `setFatalStyle(java.lang.String fatalStyle)` Set the value of the `fatalStyle` property.
`void` | `setInfoClass(java.lang.String infoClass)` Set the value of the `infoClass` property.
`void` | `setInfoStyle(java.lang.String infoStyle)` Set the value of the `infoStyle` property.
`void` | `setLang(java.lang.String lang)` Set the value of the `lang` property.
`void` | `setLayout(java.lang.String layout)` Set the value of the `layout` property.
`void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
`void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
`void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
`void` | `setTooltip(boolean tooltip)` Set the value of the `tooltip` property.
`void` | `setWarnClass(java.lang.String warnClass)` Set the value of the `warnClass` property.
`void` | `setWarnStyle(java.lang.String warnStyle)` Set the value of the `warnStyle` property.

Methods inherited from class javax.faces.component.UIMessages
`getFamily, getFor, isGlobalOnly, isRedisplay, isShowDetail, isShowSummary, setFor, setGlobalOnly, setRedisplay, setShowDetail, setShowSummary`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlMessages

    public HtmlMessages()

Method Detail

### getDir

    public java.lang.String getDir()

  Return the value of the `dir` property.

  Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

### setDir

    public void setDir(java.lang.String dir)

  Set the value of the `dir` property.

### getErrorClass

    public java.lang.String getErrorClass()

  Return the value of the `errorClass` property.

  Contents: CSS style class to apply to any message with a severity class of "ERROR".

### setErrorClass

    public void setErrorClass(java.lang.String errorClass)

  Set the value of the `errorClass` property.

### getErrorStyle

    public java.lang.String getErrorStyle()

  Return the value of the `errorStyle` property.

  Contents: CSS style(s) to apply to any message with a severity class of "ERROR".

### setErrorStyle

    public void setErrorStyle(java.lang.String errorStyle)

  Set the value of the `errorStyle` property.

### getFatalClass

    public java.lang.String getFatalClass()

  Return the value of the `fatalClass` property.

  Contents: CSS style class to apply to any message with a severity class of "FATAL".

### setFatalClass

    public void setFatalClass(java.lang.String fatalClass)

  Set the value of the `fatalClass` property.

### getFatalStyle

    public java.lang.String getFatalStyle()

  Return the value of the `fatalStyle` property.

  Contents: CSS style(s) to apply to any message with a severity class of "FATAL".

### setFatalStyle

    public void setFatalStyle(java.lang.String fatalStyle)

  Set the value of the `fatalStyle` property.

### getInfoClass

    public java.lang.String getInfoClass()

  Return the value of the `infoClass` property.

  Contents: CSS style class to apply to any message with a severity class of "INFO".

### setInfoClass

    public void setInfoClass(java.lang.String infoClass)

  Set the value of the `infoClass` property.

### getInfoStyle

    public java.lang.String getInfoStyle()

  Return the value of the `infoStyle` property.

  Contents: CSS style(s) to apply to any message with a severity class of "INFO".

### setInfoStyle

    public void setInfoStyle(java.lang.String infoStyle)

  Set the value of the `infoStyle` property.

### getLang

    public java.lang.String getLang()

  Return the value of the `lang` property.

  Contents: Code describing the language used in the generated markup for this component.

### setLang

    public void setLang(java.lang.String lang)

  Set the value of the `lang` property.

### getLayout

    public java.lang.String getLayout()

  Return the value of the `layout` property.

  Contents: The type of layout markup to use when rendering error messages. Valid values are "table" (an HTML table) and "list" (an HTML list). If not specified, the default value is "list".

### setLayout

    public void setLayout(java.lang.String layout)

  Set the value of the `layout` property.

### getStyle

    public java.lang.String getStyle()

  Return the value of the `style` property.

  Contents: CSS style(s) to be applied when this component is rendered.

### setStyle

    public void setStyle(java.lang.String style)

  Set the value of the `style` property.

### getStyleClass

    public java.lang.String getStyleClass()

  Return the value of the `styleClass` property.

  Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

  Set the value of the `styleClass` property.

### getTitle

    public java.lang.String getTitle()

  Return the value of the `title` property.

  Contents: Advisory title information about markup elements generated for this component.

### setTitle

    public void setTitle(java.lang.String title)

  Set the value of the `title` property.

### isTooltip

    public boolean isTooltip()

  Return the value of the `tooltip` property.

  Contents: Flag indicating whether the detail portion of the message should be displayed as a tooltip.

### setTooltip

    public void setTooltip(boolean tooltip)

  Set the value of the `tooltip` property.

### getWarnClass

    public java.lang.String getWarnClass()

  Return the value of the `warnClass` property.

  Contents: CSS style class to apply to any message with a severity class of "WARN".

### setWarnClass

    public void setWarnClass(java.lang.String warnClass)

  Set the value of the `warnClass` property.

### getWarnStyle

    public java.lang.String getWarnStyle()

  Return the value of the `warnStyle` property.

  Contents: CSS style(s) to apply to any message with a severity class of "WARN".

### setWarnStyle

    public void setWarnStyle(java.lang.String warnStyle)

  Set the value of the `warnStyle` property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.